---
title: Get Unpublished Dependencies
description: This endpoint is used to get unpublished dependencies of a story.
url: https://storyblok.com/docs/api/management/stories/get-unpublished-dependencies
---

# Get Unpublished Dependencies

POST

```html
https://mapi.storyblok.com/v1/spaces/:space_id/stories/unpublished_dependencies
```

This endpoint is used to get unpublished dependencies of a story.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Request body properties

-   `story_ids` (number\[\])
    
    List of story IDs
    
-   `release_id` (number)
    
    ID of a release. If this is passed, the endpoint looks for unpublished dependencies in this specific release.
    

## Response properties

-   `unpublished_stories` (The Unpublished Story Object\[\])
    
    [An array of story objects that are unpublished](/docs/api/management/stories/the-unpublished-story-object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/unpublished_dependencies" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"story_ids\":[522672112,534980620]}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/stories/unpublished_dependencies', {
        "story_ids": [
          522672112,
          534980620
        ]
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["story_ids" => [522672112,534980620]];
    
    $client->post('spaces/288868932106293/stories/unpublished_dependencies', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/unpublished_dependencies")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"story_ids":[522672112,534980620]})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/unpublished_dependencies");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"story_ids\":[522672112,534980620]}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/unpublished_dependencies"
    
    querystring = {}
    
    payload = {"story_ids":[522672112,534980620]}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"story_ids" => [522672112,534980620]}
    
    client.post('spaces/288868932106293/stories/unpublished_dependencies', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/stories/unpublished_dependencies")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "story_ids": [
            522672112,
            534980620,
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/stories/unpublished_dependencies") {
        setBody(buildJsonObject {
            putJsonArray("story_ids") {
                add(522672112)
                add(534980620)
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Get Story Versions](/docs/api/management/stories/get-story-versions-new)
-   [Next: Compare a Story Version](/docs/api/management/stories/compare-a-story-version)
